Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1107892

Summary: CVE-2014-3248 facter: puppet: Ruby modules could be loaded from the current working directory [epel-all]
Product: [Fedora] Fedora EPEL Reporter: Murray McAllister <mmcallis>
Component: facterAssignee: Jeroen van Meeuwen <vanmeeuwen+fedora>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact: Michael Stahnke <mastahnke>
Priority: medium    
Version: el6CC: jose.p.oliveira.oss, jrusnack, mastahnke, rrati, s, tmz, vanmeeuwen+fedora, vdanen
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: fst_owner=jrusnack
Fixed In Version: facter-1.6.18-7.el6 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-11-22 04:14:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Murray McAllister 2014-06-11 01:09:06 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, use the bodhi submission link noted
in the next comment(s).  This will include the bug IDs of this tracking
bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-06-11 01:09:20 UTC
Use the following update submission link to create the Bodhi request for
this issue as it contains the top-level parent bug(s) as well as this
tracking bug.  This will ensure that all associated bugs get updated when
new packages are pushed to stable.

IMPORTANT: ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1101346,1107892

Comment 2 Michael Stahnke 2014-10-11 05:49:51 UTC
New build http://koji.fedoraproject.org/koji/taskinfo?taskID=7830164.

Comment 3 Fedora Update System 2014-10-11 05:52:58 UTC
facter-1.6.18-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/facter-1.6.18-5.el6

Comment 4 Fedora Update System 2014-10-11 18:02:40 UTC
Package facter-1.6.18-5.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing facter-1.6.18-5.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3286/facter-1.6.18-5.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-11-04 06:07:25 UTC
facter-1.6.18-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/facter-1.6.18-7.el6

Comment 6 Fedora Update System 2014-11-22 04:14:37 UTC
facter-1.6.18-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.